Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drop
Class AbstractDropTargetListener.WorkIndicatorType

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.EnumeratedType
          org.eclipse.gmf.runtime.common.ui.services.dnd.drop.AbstractDropTargetListener.WorkIndicatorType

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AbstractDropTargetListener

    public static class AbstractDropTargetListener.WorkIndicatorType

extends EnumeratedType

Enumerated type for work indicator type

See Also:
  Serialized Form

Field Summary
`static AbstractDropTargetListener.WorkIndicatorType` `BUSY` Busy work indicator type.
`static AbstractDropTargetListener.WorkIndicatorType` `CANCELABLE_PROGRESS_MONITOR` Cancelable progress monitor indicator type.
`static AbstractDropTargetListener.WorkIndicatorType` `NONE` None work indicator type.
`static AbstractDropTargetListener.WorkIndicatorType` `PROGRESS_MONITOR` Progress monitor indicator type.

Constructor Summary
`protected` `AbstractDropTargetListener.WorkIndicatorType(java.lang.String name, int ordinal)` Constructor for WorkIndicatorType.

Method Summary
`protected java.util.List` `getValues()` Retrieves the list of constants for this enumerated type.

Methods inherited from class org.eclipse.gmf.runtime.common.core.util.EnumeratedType
`equals, getName, getOrdinal, hashCode, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final AbstractDropTargetListener.WorkIndicatorType NONE

  None work indicator type.

### BUSY

    public static final AbstractDropTargetListener.WorkIndicatorType BUSY

  Busy work indicator type.

### PROGRESS_MONITOR

    public static final AbstractDropTargetListener.WorkIndicatorType PROGRESS_MONITOR

  Progress monitor indicator type.

### CANCELABLE_PROGRESS_MONITOR

    public static final AbstractDropTargetListener.WorkIndicatorType CANCELABLE_PROGRESS_MONITOR

  Cancelable progress monitor indicator type.

Constructor Detail

### AbstractDropTargetListener.WorkIndicatorType

    protected AbstractDropTargetListener.WorkIndicatorType(java.lang.String name,
                                                           int ordinal)

  Constructor for WorkIndicatorType.

  Parameters:
    `name` - The name for the WorkIndicatorType
    `ordinal` - The ordinal for theWorkIndicatorType

Method Detail

### getValues

    protected java.util.List getValues()

  Retrieves the list of constants for this enumerated type.

  Specified by:
    `getValues` in class `EnumeratedType`
  Returns:
    The list of constants for this enumerated type.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.